body {
    font-family: 'M PLUS Rounded 1c', sans-serif;
    color: #444;
    background: #fffaf5;
}

/* ヘッダー */
.header {
    position: fixed;
    top: 0;
    z-index: 999;
    width: 100%;
    background: #ffa726;
}

.logo {
    width: 20%;
    text-align: center;
    margin: 0 auto;
}

/* ファーストビュー */
.hero {
    position: relative;
    background: #e83820;
    margin-top: 80px;
}

.hero figure img{
    width: 30%;
    background-color: white;
    padding: 20px;
    border-radius: 50px 20px;
}

.hero h2 {
    font-weight: 700;
    color: white;
}

.hero p{
    color: white;
}

/* ボタン */
.btn-primary {
    background: #ffa726;
    border: none;
    border-radius: 30px;
}

/* こだわり */
.feature-box {
    font-size: 28px;
}

.feature-box p {
    margin-top: 8px;
    font-size: 14px;
}

/* セクション共通 */
.section-title {
    font-weight: 700;
}

/* メニュー */
.menu-card {
    background: #fff;
    border-radius: 12px;
    padding: 8px;
    text-align: center;
}

.menu-card img {
    width: 100%;
    border-radius: 10px;
}

.menu-card h4 {
    font-size: 20px;
    margin-top: 20px;
}

.menu-card p {
    font-weight: 600;
    color: #ffa726;
    font-size: 20px;
}

.menu-card span{
    font-size: 14px;
    margin-left: 10px;
    padding: 2px 10px;
    background-color: #e83820;
    color: white;
}

.oomori table,.side table{
    margin: 0 auto;
}

.oomori th,.oomori td{
    font-size: 30px;
    padding: 5px;
}

.side{
    padding: 50px 0;
}

.side figure img{
    width: 20%;
    margin: 0 auto;
}

.side table{
    width: 70%;
}

.side td,.side-2 th{
    width: 50%;
}

.side-1 th{
    font-size: 20px;
    border-bottom: 1px solid black;
    padding-bottom: 5px;
}

.side-1 td{
    padding-top: 5px;
}

.side-2{
    margin-top: 50px;
}

.side-2 th{
    font-size: 20px;
}

.shop ul{
    list-style-type: none;
    padding-left: 0;
}

.shop h5{
    background-color: #e83820;
    color: white;
    width: 40%;
    padding: 5px 0;
    margin: 0 auto;
}

.shop h4{
    margin-top: 10px;
    font-size: 40px;
    font-weight: bold;
}

.shop a{
    color: #e83820;
    text-decoration: none;
    transition: .3s;
}

.shop a:hover{
    color: #ffa726;
}

iframe{
    margin-bottom: -10px;
}

/* フッター */
.footer {
    background: #ffa726;
    color: #fff;
}

/* PCのみ hover 有効 */
@media (hover: hover) and (pointer: fine) {
    .menu-card {
        transition: transform 0.3s ease, box-shadow 0.3s ease;
    }

    .menu-card:hover {
        transform: translateY(-4px);
        box-shadow: 0 10px 25px rgba(0,0,0,0.15);
    }
}

/* SPでは hover を完全無効 */
@media (hover: none) {
    .menu-card:hover {
        transform: none;
        box-shadow: none;
    }

    .menu-card:hover img {
        transform: none;
    }
}
